package Services.AutomChauffage;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;




@RestController
@SpringBootApplication
@RequestMapping("/AutomChauffageApplication/")
public class AutomChauffageApplication {

private boolean Active;
private int temperatureSet;

public AutomChauffageApplication() {
	this.Active = false;
	this.temperatureSet = 25;
}

@GetMapping("isActive/")
private final boolean isActive() {
	return Active;
}


@GetMapping("setActive/")
private final void setActive(boolean active) {
	Active = active;
}


@GetMapping("getTemperatureSet/")
private final int isTemperatureSet() {
	return temperatureSet;
}


@GetMapping("setTemperatureSet/")
private final void setTemperatureSet(int temperatureSet) {
	this.temperatureSet = temperatureSet;
}







	public static void main(String[] args) {
		SpringApplication.run(AutomChauffageApplication.class, args);
	}







}
